[Bug 236964] Re: [intrepid] Sunbird doesn't run

Saïvann Carignan oxmosys at gmail.com
Fri Aug 15 04:25:38 UTC 2008


John Vivirito : Thanks for your fast reaction on this.

I found some points that would need to be improved in your package and I
also built sunbird-locales in my PPA to give a concrete example : deb
http://ppa.launchpad.net/saivann/ubuntu intrepid main

1- your package was a temporary fix for this problem but it didn't
prevent it from happening in the future. For that purpose, correct
dependencies needs to be dynamically added to
debian/templates/package.template by debian/rules. to fix this, I added
VERSION variable at the beginning of the debian/rules file.

2- New xpi files still identify themselves as 0.7.0 in sunbird extension
panel, not quite sure why. Is this really the 0.8.0 locales?

3- You used new folder in debian/* for new upstream locales. Normally,
you should only have to update the FETCHADDRESS in debian/rules and then
run ./debian/rules clean-xpi and ./debian/rules update-xpi to update all
xpi files and debian files, without the need of specific folders.

4- upstream it and da locales have corrupted install.rdf. Patches are
needed to fix this problem or sunbird reject the extensions.

Hope this might help you with your work on sunbird-locales package. I
didn't look at your lightning-extension-locales package yet but I will
look at it in the next days.

** Changed in: lightning-sunbird (Ubuntu)
   Importance: Undecided => Medium

-- 
[intrepid] Sunbird doesn't run
https://bugs.launchpad.net/bugs/236964
You received this bug notification because you are a member of Mozilla
Bugs, which is subscribed to lightning-sunbird in ubuntu.




More information about the Ubuntu-mozillateam-bugs mailing list